# Add shipping information Add shipping info to an order. Read more on Adding shipping info Endpoint: POST /ordermanagement/v1/orders/{order_id}/shipping-info Version: 1.0.0 ## Path parameters: - `order_id` (string, required) Order id ## Header parameters: - `Klarna-Idempotency-Key` (string) This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters. ## Request fields (application/json): - `shipping_info` (array, required) New shipping info. Maximum: 500 items. - `shipping_info.return_shipping_company` (string) Name of the shipping company for the return shipment (as specific as possible). Maximum 100 characters. Example: 'DHL SE' and not only 'DHL' Example: "DHL SE" - `shipping_info.return_tracking_number` (string) Tracking number for the return shipment. Maximum 100 characters. Example: 93456415674545680000 - `shipping_info.return_tracking_uri` (string) URL where the customer can track the return shipment. Maximum 1024 characters. Example: "http://shipping.example/findmypackage?93456415674545679888" - `shipping_info.shipping_company` (string) Name of the shipping company (as specific as possible). Maximum 100 characters. Example: 'DHL SE' and not only 'DHL' Example: "DHL SE" - `shipping_info.shipping_method` (string) Shipping method. Allowed values matches (PickUpStore|Home|BoxReg|BoxUnreg|PickUpPoint|Own|Postal|DHLPackstation|Digital|Undefined|PickUpWarehouse|ClickCollect|PalletDelivery) Example: "Home" - `shipping_info.tracking_number` (string) Tracking number for the shipment. Maximum 100 characters. Example: 63456415674545680000 - `shipping_info.tracking_uri` (string) URI where the customer can track their shipment. Maximum 1024 characters. Example: "http://shipping.example/findmypackage?63456415674545679874" ## Response 404 fields (application/json): - `correlation_id` (string) Correlation id. For searching logs. Example: "66782175-ae05-44fc-9eb3-eeceadbad271" - `error_code` (string) Error code Example: "NO_SUCH_ORDER" - `error_messages` (array) Error messages ## Response 204 fields